## BuildNumber

### Description

This is a basic task that can be used to track build numbers.

It will first attempt to read a build number from a file (by default, `build.number` in the current directory), then set the property `build.number` to the value that was read in (or to 0, if no such value). It will then increment the number by one and write it back out to the file. (See the PropertyFile task if you need finer control over things such as the property name or the number format.)

### Parameters

Attribute | Description | Required
--- | --- | ---
file | The file to read and write the build number from/to. | No; defaults to build.number

### Examples

Read, increment, and write a build number to the default file, `build.number`.

    <buildnumber/>

Read, increment, and write a build number to the file `mybuild.number`.

    <buildnumber file="mybuild.number"/>